<?php

    function sanitize_text_field($text)
    {
        $text = strip_tags($text);
        $text = htmlspecialchars($text);
        return $text;
    }
   
    $id = sanitize_text_field($_REQUEST['id']);
    $path = sanitize_text_field($_REQUEST['path']);
    if ($path == 'false') {
        $path = '';
    }
    $root = sanitize_text_field($_REQUEST['root']);

    if (!class_exists ('JDovi42Files', false)) {
        include_once(dirname(__file__) .DIRECTORY_SEPARATOR. 'jdovi42_files.php');
    }
    $files = new JDovi42Files($root .DIRECTORY_SEPARATOR. $path);

    $files->addTilt(array('wp-includes', 'wp-admin', sanitize_text_field($_REQUEST['thumb'])));
    $files->folderSort = 'sortByList';
    $dirs = $files->getFolders();
    
    $html = '<ul>';
    foreach ($dirs as $dir) {
        $html .= '<li class="jstree-closed" id="'.$dir['name'].'" data-path="'.$id .DIRECTORY_SEPARATOR. $dir['name'].'">' . $dir['title'] . '</li>';
    }
    $html .= '</ul>';
    echo $html;        

?>