var gallery_from_files_595_import_list = [];
var gallery_from_files_595_import_list_index = 0;
var gallery_from_files_595_go_import = false;

jQuery(document).ready(function() {
    
    jQuery('.import-button').click(function() {
        
        if (jQuery('#gallery_from_files_target').val() == '') {
            alert(GALLERY_LANGS.SET_FOLDER_TEXT);
            jQuery('#gallery_from_files_target').focus();
        } else {
            jQuery(this).prepend('<span class="dashicons spin dashicons-update-alt"></span>');
            let data = {
                'id'   : jQuery(this).closest('tr').attr('id'),
                'post' : jQuery(this).closest('tr').attr('data-id')             
            };
            gallery_from_files_595_importItem(data);
        }

    });
    
});


function gallery_from_files_595_importItem(data) {

    data.action = 'gallery_from_files_595_import_from_content';
    data.target = jQuery('#gallery_from_files_target').val();
        
    jQuery.ajax({
        url      : gallery_from_files_595_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){
            let td = jQuery('#'+data.id).find('.import-button').parent('td');
            td.find('.import-button').remove();

            if (data.status == 1) {
                // Status OK
                td.append(data.message+' <span class="dashicons dashicons-yes-alt" style="color:green;"></span>'); 
                if (data.trash) {
                    td.append('<br /><button onclick="gallery_from_files_595_removeImages(jQuery(this));" type="button" class="remove-button button">'+GALLERY_LANGS.REMOVE_IMAGES_FROM_MEDIA_LIBRARY+'</button>');
                }
            } else {
                td.append(data.message+' <span class="dashicons dashicons-dismiss" style="color:red;"></span>'); 
            }
        } 
    });

}

function gallery_from_files_595_import_one_item() {
    
    if ((gallery_from_files_595_import_list_index < gallery_from_files_595_import_list.length) && (gallery_from_files_595_go_import)) {

        var data = {
            id    : 'content_'+gallery_from_files_595_import_list[gallery_from_files_595_import_list_index], 
            post  : gallery_from_files_595_import_list[gallery_from_files_595_import_list_index], 
            action: 'gallery_from_files_595_import_from_content',
            target: jQuery('#gallery_from_files_target').val()
        };

        let index = Math.round(((gallery_from_files_595_import_list_index +1) / gallery_from_files_595_import_list.length) * 100);
        jQuery('#import_gauge_display').css('width', index+'%');

        jQuery.ajax({
            url      : gallery_from_files_595_ajax_object.ajax_url,
            dataType : 'json',
            type     : 'POST',
            data     : data,
            success  : function(data, result){
                let td = jQuery('#'+data.id).find('.import-button').parent('td');
                td.find('.import-button').remove();
    
                if (data.status == 1) {
                    // Status OK
                    td.append(data.message+' <span class="dashicons dashicons-yes-alt" style="color:green;"></span>'); 
                    if (data.trash) {
                        td.append('<br /><button onclick="gallery_from_files_595_removeImages(jQuery(this));" type="button" class="remove-button button">'+GALLERY_LANGS.REMOVE_IMAGES_FROM_MEDIA_LIBRARY+'</button>');
                    }
                    
                    gallery_from_files_595_import_list_index++;
                    console.log(gallery_from_files_595_import_list_index);
                    
                    gallery_from_files_595_import_one_item();
                    
                } else {
                    td.append(data.message+' <span class="dashicons dashicons-dismiss" style="color:red;"></span>');
                    let block = jQuery('.import-all-button').closest('th');
                    block.prepend(GALLERY_LANGS.IMPORT_ABORTED); 
                }
            } 
        });

    } else {
        
        let block = jQuery('.import-all-button').closest('th');
        jQuery('.import-all-button').remove();
        jQuery('#import_gauge').hide();

        if (gallery_from_files_595_go_import) {
            block.prepend(GALLERY_LANGS.ALL_GALLERY_IMPORTED);
            
            if (jQuery('.import-table').attr('data-trash') == '1') {
                block.append('<br /><button id="move_all_trash_button" type="button" onclick="gallery_from_files_595_remove_all_images();" class="button">'+GALLERY_LANGS.REMOVE_ALL_IMAGES_FROM_MEDIA_LIBRARY+'</button>');
            }
            
        } else {
            block.prepend('<span style="color:red;">'+GALLERY_LANGS.IMPORT_ABORTED+'</span>');
        }
    }
            
}

function gallery_from_files_595_abort_import() {
    gallery_from_files_595_go_import = false;
}

function gallery_from_files_595_importAll() {

    if (jQuery('#gallery_from_files_target').val() == '') {
        alert(GALLERY_LANGS.SET_FOLDER_TEXT);
        jQuery('#gallery_from_files_target').focus();
    } else {
    
        jQuery('.import-all-button').attr('onclick', 'gallery_from_files_595_abort_import()');
        jQuery('.import-all-button').html(GALLERY_LANGS.ABORT_IMPORT);
        jQuery('.import-all-button').prepend('<span class="dashicons spin dashicons-update-alt"></span>');
        jQuery('#import_gauge_display').css('width', '0%');
        jQuery('#import_gauge').show();
        
        gallery_from_files_595_import_list_index = 0;
        gallery_from_files_595_import_list = [];
        gallery_from_files_595_go_import = true;
        
        jQuery('.import-table tbody tr').each(function(){
            gallery_from_files_595_import_list.push( jQuery(this).attr('data-id') );    
        });
       
        gallery_from_files_595_import_one_item();
    }
}

function gallery_from_files_595_removeImages(content) {

    content.prepend('<span class="dashicons spin dashicons-update-alt"></span>');

    let images = content.closest('tr').attr('data-images');
    
    var data = {
        action: 'gallery_from_files_595_remove_images_from_library',
        images: images,
        id    : content.closest('tr').attr('id')
    };

    jQuery.ajax({
        url      : gallery_from_files_595_ajax_object.ajax_url,
        dataType : 'json',
        type     : 'POST',
        data     : data,
        success  : function(data, result){
            let td = jQuery('#'+data.id).find('.remove-button').parent('td');
            td.find('.remove-button').remove();

            if (data.status == 1) {
                // Status OK
                td.append(data.message+' <span class="dashicons dashicons-yes-alt" style="color:green;"></span>'); 
            } else {
                td.append(data.message+' <span class="dashicons dashicons-dismiss" style="color:red;"></span>'); 
            }
        } 
    });
    
}

function gallery_from_files_595_abort_move_trash() {
    gallery_from_files_595_go_import = false;
}

function gallery_from_files_595_remove_all_images() {

    jQuery('#move_all_trash_button').attr('onclick', 'gallery_from_files_595_abort_move_trash()');
    jQuery('#move_all_trash_button').html(GALLERY_LANGS.ABORT_MOVE_TRASH);
    jQuery('#move_all_trash_button').prepend('<span class="dashicons spin dashicons-update-alt"></span>');
    jQuery('#import_gauge_display').css('width', '0%');
    jQuery('#import_gauge').show();
    
    gallery_from_files_595_import_list_index = 0;
    gallery_from_files_595_import_list = [];
    gallery_from_files_595_go_import = true;
    
    jQuery('.import-table').find('.remove-button').each(function(){
        gallery_from_files_595_import_list.push( jQuery(this).closest('tr').attr('data-id') );    
    });
   
    console.log(gallery_from_files_595_import_list);
    gallery_from_files_595_move_one_item();
    
}

function gallery_from_files_595_move_one_item() {
    
    if ((gallery_from_files_595_import_list_index < gallery_from_files_595_import_list.length) && (gallery_from_files_595_go_import)) {

        content = jQuery('#content_'+gallery_from_files_595_import_list[gallery_from_files_595_import_list_index]).find('.remove-button'); 
        content.prepend('<span class="dashicons spin dashicons-update-alt"></span>');
    
        let images = content.closest('tr').attr('data-images');
        
        var data = {
            action: 'gallery_from_files_595_remove_images_from_library',
            images: images,
            id    : content.closest('tr').attr('id')
        };
    
        jQuery.ajax({
            url      : gallery_from_files_595_ajax_object.ajax_url,
            dataType : 'json',
            type     : 'POST',
            data     : data,
            success  : function(data, result){
                let td = jQuery('#'+data.id).find('.remove-button').parent('td');
                td.find('.remove-button').remove();
    
                if (data.status == 1) {
                    // Status OK
                    td.append(data.message+' <span class="dashicons dashicons-yes-alt" style="color:green;"></span>');
                    
                    let index = Math.round((gallery_from_files_595_import_list_index / gallery_from_files_595_import_list.length) * 100);
                    jQuery('#import_gauge_display').css('width', index+'%');
                    gallery_from_files_595_import_list_index++;
                    console.log(gallery_from_files_595_import_list_index);
                    
                    gallery_from_files_595_move_one_item();
                     
                } else {
                    td.append(data.message+' <span class="dashicons dashicons-dismiss" style="color:red;"></span>'); 
                }
            } 
        });

    } else {
        
        let block = jQuery('#move_all_trash_button').closest('th');
        jQuery('#move_all_trash_button').remove();
        jQuery('#import_gauge').hide();

        if (gallery_from_files_595_go_import) {
            block.append(GALLERY_LANGS.MOVE_COMPLETED);
        } else {
            block.append('<span style="color:red;">'+GALLERY_LANGS.MOVE_ABORTED+'</span>');
        }
    }
            
}
